/* -------------------- FONTS -------------------- */
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

/* -------------------- VAR XS -------------------- */
:root {
    --header-height: 44px;

    --grid-margin: 15px;
    --grid-gutter: 10px;

    --fs-logo: 16px;
    --fs-menu: 50px;

    --fs-xs: 9px;
    --fs-s: 11px;
    --fs-m: 13px;
    --fs-l: 15px;
    --h4: 20px;
    --h3: 24px;
    --h2: 32px;
    --h1: 40px;
}

/* -------------------- VAR MD -------------------- */
@media screen and (min-width: 768px) {
    :root {
        --header-height: 48px;

        --grid-margin: 16px;
        --grid-gutter: 12px;

        --fs-logo: 17px;
        --fs-menu: 90px;

        --fs-xs: 9px;
        --fs-s: 11px;
        --fs-m: 14px;
        --fs-l: 16px;
        --h4: 24px;
        --h3: 32px;
        --h2: 40px;
        --h1: 50px;
    }
}

/* -------------------- VAR LG -------------------- */
@media screen and (min-width: 1024px) {
    :root {
        --header-height: 72px;

        --grid-margin: 24px;
        --grid-gutter: 16px;

        --fs-logo: 18px;
        --fs-menu: 18px;

        --fs-xs: 9px;
        --fs-s: 11px;
        --fs-m: 15px;
        --fs-l: 17px;
        --h4: 28px;
        --h3: 36px;
        --h2: 44px;
        --h1: 56px;
    }
}

/* -------------------- VAR XL -------------------- */
@media screen and (min-width: 1440px) {
    :root {
        --grid-margin: 30px;
        --grid-gutter: 20px;

        --fs-logo: 20px;
        --fs-menu: 20px;

        --fs-xs: 9px;
        --fs-s: 11px;
        --fs-m: 16px;
        --fs-l: 20px;
        --h4: 30px;
        --h3: 40px;
        --h2: 50px;
        --h1: 60px;
    }
}

/* -------------------- VAR XXL -------------------- */
@media screen and (min-width: 1920px) {
    :root {
        --fs-xs: calc(9px + 0.15vw);
        --fs-s: calc(11px + 0.15vw);
        --fs-m: calc(16px + 0.15vw);
        --fs-l: calc(20px + 0.15vw);
        --h4: calc(30px + 0.15vw);
        --h3: calc(40px + 0.15vw);
        --h2: calc(50px + 0.15vw);
        --h1: calc(60px + 0.15vw);
    }
}

/* -------------------- VAR GLOBAL -------------------- */
:root {
    --black: #000000;
    --white: #FFFFFF;

    --text-underline-offset: 0.12em;
    --text-underline-thickness: 0.08em;

    --lh-title: 1.1em;
    --lh-text: 1.25em;
}

/* -------------------- RESET -------------------- */
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    -webkit-tap-highlight-color: transparent;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

*::-webkit-scrollbar {
    display: none;
}

html {
    scroll-behavior: smooth;
}

main {
    padding-top: var(--header-height);
    min-height: 100vh;
}

:focus {
    outline: none;
}

::selection {
    background: rgba(0, 0, 0, 0.1);
    color: inherit;
    text-shadow: none;
}

a {
    text-decoration: none;
    color: inherit;
}

img {
    user-select: none;
    -webkit-user-drag: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
    padding: 0;
}


/* -------------------- PAGE TRANSITIONS -------------------- */
body.preload {
    opacity: 0;
    overflow: hidden;
}

body.fade-in {
    opacity: 1;
    transition: opacity 0.3s ease;
}

body.fade-out {
    opacity: 0;
    transition: opacity 0.3s ease;
    background-color: var(--white) !important;
}

#transition-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--white);
    pointer-events: none;
    opacity: 1;
    transition: opacity 0.3s ease;
    z-index: 999999;
}

body.fade-in #transition-overlay {
    opacity: 0;
    pointer-events: none;
}

body.fade-out #transition-overlay {
    opacity: 1;
    pointer-events: all;
}

/* -------------------- TEXT STYLES -------------------- */
.type-logo {
    font-family: "Inter", Helvetica, Arial, sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
    font-size: var(--fs-logo);
    line-height: var(--lh-text);
    text-transform: uppercase;
}

.type-menu {
    font-family: "Inter", Helvetica, Arial, sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
    font-size: var(--fs-menu);
    line-height: var(--lh-text);
}

.type-l-medium {
    font-family: "Inter", Helvetica, Arial, sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
    font-size: var(--fs-l);
    line-height: var(--lh-text);
}

.type-l-semibold {
    font-family: "Inter", Helvetica, Arial, sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
    font-size: var(--fs-l);
    line-height: var(--lh-text);
}

.type-m-medium {
    font-family: "Inter", Helvetica, Arial, sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
    font-size: var(--fs-m);
    line-height: var(--lh-text);
}

.type-m-light {
    font-family: "Inter", Helvetica, Arial, sans-serif;
    font-optical-sizing: auto;
    font-weight: 300;
    font-style: normal;
    font-size: var(--fs-m);
    line-height: var(--lh-text);
}

.type-m-semibold {
    font-family: "Inter", Helvetica, Arial, sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
    font-size: var(--fs-m);
    line-height: var(--lh-text);
}

.type-s-medium {
    font-family: "Inter", Helvetica, Arial, sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
    font-size: var(--fs-s);
    line-height: var(--lh-text);
}

.h4 {
    font-family: "Inter", Helvetica, Arial, sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
    font-size: var(--h4);
    line-height: var(--lh-title);
}

.h3 {
    font-family: "Inter", Helvetica, Arial, sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
    font-size: var(--h4);
    line-height: var(--lh-title);
}

.h2 {
    font-family: "Inter", Helvetica, Arial, sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
    font-size: var(--h2);
    line-height: var(--lh-title);
}

.h1 {
    font-family: "Inter", Helvetica, Arial, sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
    font-size: var(--h1);
    line-height: var(--lh-title);
    letter-spacing: -0.25%;
}

/* -------------------- HEADER -------------------- */
.header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background-color: var(--white);
    padding: calc(var(--grid-margin) * 0.75) var(--grid-margin);
    height: var(--header-height);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 102;
    width: 100%;
}

.header-logo {
    position: relative;
    z-index: 1;
    color: var(--black);
}

.menu-toggle {
    display: none;
    position: relative;
    width: 24px;
    height: 24px;
    padding: 0;
    border: none;
    background: none;
    cursor: pointer;
    z-index: 1;
}

.menu-toggle-icon,
.menu-toggle-icon::before,
.menu-toggle-icon::after {
    display: block;
    position: absolute;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: var(--black);
    transition: transform 0.25s ease-in-out, top 0.25s ease-in-out, background-color 0.15s ease-in-out;
}

.menu-toggle-icon {
    top: 50%;
    transform: translateY(-50%);
}

.menu-toggle-icon::before,
.menu-toggle-icon::after {
    content: '';
}

.menu-toggle-icon::before {
    top: -7px;
}

.menu-toggle-icon::after {
    top: 7px;
}

.header.is-menu-open .menu-toggle-icon {
    background-color: transparent;
}

.header.is-menu-open .menu-toggle-icon::before {
    top: 0;
    transform: rotate(45deg);
}

.header.is-menu-open .menu-toggle-icon::after {
    top: 0;
    transform: rotate(-45deg);
}

.menu {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 32px;
}

.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}

.menu-link {
    transition: opacity 0.15s ease-in-out;
}

.menu-link.active {
    opacity: 0.33;
}

.menu-link:hover {
    opacity: 0.33;
}

@media screen and (max-width: 1023px) {
    .menu-toggle {
        display: block;
    }

    .header-logo,
    .menu-toggle {
        z-index: 101;
    }

    .header-logo {
        transition: color 0.15s ease-in-out;
    }

    .header.is-menu-open {
        background-color: transparent;
    }

    .header.is-menu-open .header-logo {
        color: var(--white);
    }

    .header.is-menu-open .menu-toggle-icon::before,
    .header.is-menu-open .menu-toggle-icon::after {
        background-color: var(--white);
    }

    .menu {
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        flex-direction: column;
        align-items: center;
        /* justify-content: center; */
        gap: 0px;
        padding: var(--grid-margin);
        padding-top: calc(var(--header-height) + var(--grid-margin));
        background-color: var(--black);
        color: var(--white);
        transform: translateX(100%);
        transition: transform 0.25s ease-in-out;
        z-index: 100;
    }

    .menu-link {
        color: var(--white);
    }

    .menu-link:first-child {
        margin-top: 5vw;
    }

    .menu-link.active,
    .menu-link[aria-current="page"] {
        text-decoration: underline;
        text-underline-offset: var(--text-underline-offset);
        text-decoration-thickness: var(--text-underline-thickness);
        opacity: 1;
    }

    .header.is-menu-open .menu {
        transform: translateX(0);
    }

    body.is-menu-open {
        overflow: hidden;
    }
}

/* -------------------- FOOTER -------------------- */
main {
    padding-bottom: 200px;
}

.footer {
    padding: calc(var(--grid-margin) * 0.75) var(--grid-margin);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-end;
    color: #505050;
}

.footer-logo-links-gototop {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    gap: 40px;
}

.footer-logo-links {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 20px;
    font-size: var(--fs-m);
    line-height: var(--lh-text);
}

.footer-logo {
    flex-shrink: 0;
    width: calc(var(--footer-link-count) * 1.25em);
    height: calc(var(--footer-link-count) * 1.25em);
    padding: 12.5%;
    background-color: rgba(244, 244, 244, 0.65);
}

.footer-logo img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.footer-links {
    display: flex;
    flex-direction: column;
}

.footer-info-credits {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    gap: 40px;
}

.footer-gototop {
    display: none;
}

.footer-credits {
    display: flex;
    flex-direction: row;
    gap: 0.25em;
}

.footer-credits a {
    text-decoration: underline;
    text-underline-offset: var(--text-underline-offset);
    text-decoration-thickness: var(--text-underline-thickness);
}

/* Mobile & Tablet */
@media screen and (max-width: 1023px) {
    main {
        padding-bottom: 160px;
    }

    .footer {
        flex-direction: column;
    }

    .footer-logo-links-gototop {
        display: flex;
        flex-direction: row;
        align-items: flex-end;
        justify-content: space-between;
        width: 100%;
    }

    .footer-logo-links {
        gap: 16px;
    }

    .footer-gototop {
        display: block;
    }

    .footer-gototop a {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 24px;
        height: 24px;
    }
    
    .footer-gototop svg {
        display: block;
        width: 21px;
        height: auto;
    }

    .footer-info-credits {
        width: 100%;
        display: grid;
        grid-template-columns: calc(50% + 1px) calc(50% - 1px);
        gap: 0px;
        border-top: 1px solid var(--black);
        align-items: stretch;
        margin-top: 16px;
    }

    .footer-info {
        padding-top: 8px;
        padding-bottom: 8px;
        padding-right: 8px;
        border-right: 1px solid var(--black);
        text-wrap: balance;
    }

    .footer-credits {
        padding-top: 8px;
        padding-bottom: 8px;
        padding-left: 8px;
    }

    .footer-credits {
        flex-direction: column;
    }
}